# coding=utf-8

import django_filters

from .models import MaintOrderReserve


class MaintOrderReserveFilter(django_filters.FilterSet):
    name = django_filters.CharFilter(field_name='name', lookup_expr='icontains')
    tel = django_filters.CharFilter(field_name='tel', lookup_expr='icontains')
    shop = django_filters.CharFilter(field_name='shop')
    status = django_filters.CharFilter(field_name='status')
    id = django_filters.CharFilter(field_name='id')

    class Meta:
        model = MaintOrderReserve
        fields = '__all__'


